Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 436917 - (ltsp) Implement ppc .ks file for ltsp-build-client
Summary: (ltsp) Implement ppc .ks file for ltsp-build-client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ltsp
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-03-11 04:04 UTC by Warren Togami
Modified: 2008-12-30 02:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-30 02:37:37 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-03-11 04:04:43 UTC
Currently ltsp only ships with kickstart files to create i386 client chroots. 
Other architectures could theoretically be supported fairly easily if
arch-specific .ks files are crafted.

1. Look in /etc/ltsp/kickstart
2. Create ltsp-ppc.ks next to the existing ltsp-i386.ks.
3. ltsp-build-client --arch=ppc
4. Keep testing it until the ltsp-build-client successfully creates a chroot.
5. Try to minimize the amount of stuff installed in the chroots.
6. Try to minimize changes between .ks files so common kickstart files can be
included in order to minimize the maintainership burden.

Well... then you would likely need to implement PPC specific netboot setup stuff
to make it actually work.  Good luck!

Comment 1 Bug Zapper 2008-05-14 05:56:16 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.